/* @override 
	http://localhost:1313/css/style.css?*
	http://localhost:1314/css/style.css?* */
	
* {
	/*outline-width: 1px;
	outline-style: solid;
	outline-color: rgba(206,206,206,0.5);*/
}

:root {
	--space: .5rem;
	--negatif: white;
	--positif: black;
	--smartphone-font-size:.8rem;
	--font-size: .8rem;
	--global-margin:2vw;
}

@media (min-width: 768px) {
	:root {
		--font-size: 1rem;	
		--global-margin:1vw;
	}	
}

@font-face {
  font-family: 'MartianMono';
  src: url('MartianMonoVF.woff2') format("woff2 supports variations");
  src: url('MartianMonoVF.woff2') format("woff2-variations");
  font-weight: 100 800;
  font-stretch: 75% 112.5%;
  font-display: swap;
  font-size-adjust: 0.5;
 }
 
 /* @group SWUP */
 /* Define a transition duration during page visits */

html.is-changing .transition-fade {
	transition: opacity 0.25s;
	opacity: 1;
} /* Define the styles for the unloaded pages */

html.is-animating .transition-fade {
	opacity: 0;
}
 
 
 /* @end */
 
 /* @group Structure Globale */


html {
		margin: var(--global-margin);

}

#header {
	gap: var(--global-margin);
	padding: 0;
	display: grid;
	grid-template-columns: 1fr 1fr;
	text-transform: uppercase;
	position: relative;
	z-index: 100;
}

@media (max-width: 768px) {
	#header {
	grid-template-columns: 2fr auto;
		
	}
}

.header-nav {
	margin: 0;
	padding: 0;
	list-style: none;
	display: flex;
	flex-direction: row;
	gap: var(--global-margin);
	justify-content:flex-end

}

@media (max-width: 768px) {
	.header-nav {
		display: flex;
		flex-direction: column;
	}
	
	.header-nav li:last-child {
	text-align: left;
} 
}



#swup {
	margin: 0;
	padding: 0;
	padding-top: 2rem;
flex-grow: 2;
position: relative;
}

#wrapper {
	position: relative;
	height: 100vh;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
}


@media (min-width: 768px) {
	:root {
		--smartphone-font-size:1rem;	
	}
}

/* @end */

/* @group Global */

html {
	line-height: 1.4;
	-webkit-text-size-adjust: 100%;
}

body {
	font-family: MartianMono, monospace;
	font-weight: 250;
	font-stretch: 90%;
	font-size: var(--font-size);
	margin: 0;
	padding: 0;
	transition: background-color 600ms ease-in-out 0s;
	-webkit-font-smoothing: antialiased;
}

/*@font-face {
			  font-family: 'MarkeliusSans';
			  src: url('MarkeliusSans-Regular.woff2') format("woff2");
			  src: url('MarkeliusSans-Regular.woff') format("woff");
			  font-weight: 100;
			  font-display: swap;
			 }
			 
body {
  font-family: MarkeliusSans, sans-serif;
}*/


a {
	color: inherit;
}

/* Retro-links */

@media (min-width:768px) {
.exergue a, .header-nav a {
	text-decoration: none;
	border-width: 7px !important;
	border-style: outset;
	background-color: #e3e3e3;
	padding-left: .2ch;
	padding-right: .2ch;
}
.exergue a:hover, .header-nav a:hover {
	border-style: inset !important;
}

}

.exergue a, .header-nav a {
	text-decoration: none;
	padding: .3ch;
}


.site-title {
	font-weight: unset;
	font-size: var(--font-size);
	margin: 0;
}

#header a {
	border-bottom: 1px solid #333;
	text-decoration: none;
}

#header a:hover {
	border-bottom: none;
}

.title-desc {
	display: flex;
	flex-direction: row;
	align-items: center;
	column-gap:1ch;
	flex-wrap: wrap;
}

.entry-summary a {
	border-bottom: 1px solid #333;
	text-decoration: none;	
}

.det-legal {
	margin-top: 2rem;
}

#content .post {
	margin-bottom: 3em;
}

#content img {
	max-width: 100%;
	height: auto;
	display: block;
}

#content figure {
	margin: 0;
}

#content .wp-block-image {
	margin-bottom: var(--space);
}

#content .wp-block-gallery {
}

/* Colonnes Wordpress */
@media (max-width:768px) {
	.wp-block-columns.columns-default {
		display: flex;
		flex-direction: column;
		column-gap: var(--space);
		padding-bottom: var(--space);
	}
}

.columns-7, .columns-default, .columns-3, .columns-4, .columns-5, .columns-2 {
	align-items: start;
}

.columns-7 {
	display: grid;
	grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
}

.columns-7 {
	column-gap: var(--space);
}

.columns-default {
	display: grid;
	grid-template-columns: 1fr 1fr 1fr;
	column-gap: var(--space);
}

.columns-3 {
	display: grid;
	grid-template-columns:1fr 1fr;
	column-gap: var(--space);
}

@media (min-width:768px) {
.columns-3 {
	display: grid;
	grid-template-columns: 1fr 1fr 1fr;
	column-gap: var(--space);
}	
}

.columns-4 {
	display: grid;
	grid-template-columns: 1fr 1fr 1fr;
	column-gap: var(--space);
}

.columns-5 {
	display: grid;
	grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
	column-gap: var(--space);
}

.columns-2 {
	display: grid;
	grid-template-columns: 1fr 1fr;
	column-gap: var(--space);
}

.columns-2.deux-un {
	grid-template-columns: 3fr 1fr;
}

video {
box-sizing: border-box;
max-width: 100%;
	border: 25px solid black;
}

.site-description {
margin: 0;
}


.det-legal summary {
	border-bottom: 1px solid #333;
	cursor: pointer;
	display: inline-block;
	font-size: var(--font-size);
}

.det-legal summary:focus {
	outline: none;
	border-bottom: 1px solid #a2a2a2;
}

.det-legal summary:focus::selection {
	background: none
}

details > summary::-webkit-details-marker {
	display: none;
}

.entry-title {
	font-weight: normal;
	margin-bottom: 0;
	line-height: 1.3;
	font-size: var(--smartphone-font-size);
}

/*Style temporaire, page d'accueil*/
#post-1835 {
	height: max-content;
	height: 70vh;
}

.detail-content p {
	text-indent: 3ch;
	font-size: var(--smartphone-font-size);
	
}

#content .entry-summary p, .entry-content p {
	margin-top: 0;
}

.wp-block-gallery {
	margin-bottom: var(--space);
}

.wp-block-gallery img {
	display: block;
	transition: opacity 0.2s linear;
	width: 100%;
	height: auto;
}

.wp-element-caption {
	text-transform: uppercase;
	margin-top: 1ch;
	margin-bottom: 3ch;
	text-indent: 3ch;
	max-width: 35ch;
}

@media (max-width:768px) {
.wp-element-caption {
	text-transform: uppercase;
	margin-top: 1ch;
	margin-bottom: 3ch;
	text-indent: 0ch;
	max-width: unset;
	font-size: 80%;
}	
}

.sombre {
	filter: brightness(0.96);
}

.deux-tiers {
	grid-template-columns: 2fr 1fr;
}

.space {
	margin-bottom: var(--space) !important;
}

.nav-links {
	display: none;
}

footer {
	padding-bottom: calc(3*var(--space));

}

@media (min-width: 768px) {	
	#header {
		margin-bottom: 2rem;
	}
	
	.entry-title {
		font-size: 100%;
	}
	
	#content .post {
		margin-bottom: 5em;
	}
	
	#content .wp-block-gallery {
		
	}
	
	.columns-default {
		display: grid;
		grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
		grid-gap: var(--space);
	}
	
	.columns-4 {
		display: grid;
		grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
		grid-gap: var(--space);
	}
	
	.columns-5 {
		display: grid;
		grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
		grid-gap: var(--space);
	}
}

@media (min-width: 1200px) {
	:root {
		--space: .5vw;
	}

}

/* @end */

/* @group Projets list.html gabarit */
.projets-liste {
		display: block;
		margin: 0;
		padding: 0;
		list-style-type: none;
}

@media (min-width: 468px) {
	.projets-liste {
		display: grid;
		grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
		grid-gap: var(--space);
		margin: 0;
		padding: 0;
		list-style-type: none;
	}
}

@media (min-width: 768px) {
	.projets-liste {
		grid-template-columns: repeat(auto-fit, minmax(350px, 1fr));
	}
}

@media (min-width: 1500px) {
	.projets-liste {
		grid-template-columns: repeat(auto-fit, minmax(450px, 1fr));
	}
}


.projets-liste a {
	text-decoration: none;

	display: inline-block;
}

.projets-liste figure {
	margin:0;
	padding-bottom: var(--space);
}

.projets-liste figure:hover img {
	outline: 1px solid #333;
}

.projets-liste .img-container {
	overflow: hidden;
}

.projets-liste img {
	aspect-ratio: 1 / 1.5;
	width: 100%;
	max-width:100% ;
	/* object-fit & position permettent ensuite l'effet de zoom */
	object-fit: cover;
	object-position: 50% 50%;
	transition: all 300ms ease-in-out;
}

.projets-liste img:hover {
	transform: scale(1.03);
}

/*@media (min-width: 768px) {
		.projets-liste figure {
			position: relative;
			margin: 0;
			padding: 0;
		}
		.projets-liste figcaption {
			background-color: blue;
			position: absolute;
			bottom: 0;
			display: block;
			width: 100%;
			height:20ch;
			}

}*/


/* @end */


/* animation */
img {
	opacity: 0;
	transition: opacity 1s cubic-bezier(0.5,0.25,0,1) 200ms;
	height: auto;
}

.appear-in {
	opacity: 1 !important;
}
